<?php
/**
 * ANCORA Framework: return lists
 *
 * @package ancora
 * @since ancora 1.0
 */

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


// Return list of the animations
if ( !function_exists( 'ancora_get_list_animations' ) ) {
	function ancora_get_list_animations($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_animations']))
			$list = $ANCORA_GLOBALS['list_animations'];
		else {
			$list = array();
			$list['none']			= __('- None -',	'dentalux');
			$list['bounced']		= __('Bounced',		'dentalux');
			$list['flash']			= __('Flash',		'dentalux');
			$list['flip']			= __('Flip',		'dentalux');
			$list['pulse']			= __('Pulse',		'dentalux');
			$list['rubberBand']		= __('Rubber Band',	'dentalux');
			$list['shake']			= __('Shake',		'dentalux');
			$list['swing']			= __('Swing',		'dentalux');
			$list['tada']			= __('Tada',		'dentalux');
			$list['wobble']			= __('Wobble',		'dentalux');
			$ANCORA_GLOBALS['list_animations'] = $list = apply_filters('ancora_filter_list_animations', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of the enter animations
if ( !function_exists( 'ancora_get_list_animations_in' ) ) {
	function ancora_get_list_animations_in($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_animations_in']))
			$list = $ANCORA_GLOBALS['list_animations_in'];
		else {
			$list = array();
			$list['none']			= __('- None -',	'dentalux');
			$list['bounceIn']		= __('Bounce In',			'dentalux');
			$list['bounceInUp']		= __('Bounce In Up',		'dentalux');
			$list['bounceInDown']	= __('Bounce In Down',		'dentalux');
			$list['bounceInLeft']	= __('Bounce In Left',		'dentalux');
			$list['bounceInRight']	= __('Bounce In Right',		'dentalux');
			$list['fadeIn']			= __('Fade In',				'dentalux');
			$list['fadeInUp']		= __('Fade In Up',			'dentalux');
			$list['fadeInDown']		= __('Fade In Down',		'dentalux');
			$list['fadeInLeft']		= __('Fade In Left',		'dentalux');
			$list['fadeInRight']	= __('Fade In Right',		'dentalux');
			$list['fadeInUpBig']	= __('Fade In Up Big',		'dentalux');
			$list['fadeInDownBig']	= __('Fade In Down Big',	'dentalux');
			$list['fadeInLeftBig']	= __('Fade In Left Big',	'dentalux');
			$list['fadeInRightBig']	= __('Fade In Right Big',	'dentalux');
			$list['flipInX']		= __('Flip In X',			'dentalux');
			$list['flipInY']		= __('Flip In Y',			'dentalux');
			$list['lightSpeedIn']	= __('Light Speed In',		'dentalux');
			$list['rotateIn']		= __('Rotate In',			'dentalux');
			$list['rotateInUpLeft']		= __('Rotate In Down Left',	'dentalux');
			$list['rotateInUpRight']	= __('Rotate In Up Right',	'dentalux');
			$list['rotateInDownLeft']	= __('Rotate In Up Left',	'dentalux');
			$list['rotateInDownRight']	= __('Rotate In Down Right','dentalux');
			$list['rollIn']				= __('Roll In',			'dentalux');
			$list['slideInUp']			= __('Slide In Up',		'dentalux');
			$list['slideInDown']		= __('Slide In Down',	'dentalux');
			$list['slideInLeft']		= __('Slide In Left',	'dentalux');
			$list['slideInRight']		= __('Slide In Right',	'dentalux');
			$list['zoomIn']				= __('Zoom In',			'dentalux');
			$list['zoomInUp']			= __('Zoom In Up',		'dentalux');
			$list['zoomInDown']			= __('Zoom In Down',	'dentalux');
			$list['zoomInLeft']			= __('Zoom In Left',	'dentalux');
			$list['zoomInRight']		= __('Zoom In Right',	'dentalux');
			$ANCORA_GLOBALS['list_animations_in'] = $list = apply_filters('ancora_filter_list_animations_in', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of the out animations
if ( !function_exists( 'ancora_get_list_animations_out' ) ) {
	function ancora_get_list_animations_out($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_animations_out']))
			$list = $ANCORA_GLOBALS['list_animations_out'];
		else {
			$list = array();
			$list['none']			= __('- None -',	'dentalux');
			$list['bounceOut']		= __('Bounce Out',			'dentalux');
			$list['bounceOutUp']	= __('Bounce Out Up',		'dentalux');
			$list['bounceOutDown']	= __('Bounce Out Down',		'dentalux');
			$list['bounceOutLeft']	= __('Bounce Out Left',		'dentalux');
			$list['bounceOutRight']	= __('Bounce Out Right',	'dentalux');
			$list['fadeOut']		= __('Fade Out',			'dentalux');
			$list['fadeOutUp']		= __('Fade Out Up',			'dentalux');
			$list['fadeOutDown']	= __('Fade Out Down',		'dentalux');
			$list['fadeOutLeft']	= __('Fade Out Left',		'dentalux');
			$list['fadeOutRight']	= __('Fade Out Right',		'dentalux');
			$list['fadeOutUpBig']	= __('Fade Out Up Big',		'dentalux');
			$list['fadeOutDownBig']	= __('Fade Out Down Big',	'dentalux');
			$list['fadeOutLeftBig']	= __('Fade Out Left Big',	'dentalux');
			$list['fadeOutRightBig']= __('Fade Out Right Big',	'dentalux');
			$list['flipOutX']		= __('Flip Out X',			'dentalux');
			$list['flipOutY']		= __('Flip Out Y',			'dentalux');
			$list['hinge']			= __('Hinge Out',			'dentalux');
			$list['lightSpeedOut']	= __('Light Speed Out',		'dentalux');
			$list['rotateOut']		= __('Rotate Out',			'dentalux');
			$list['rotateOutUpLeft']	= __('Rotate Out Down Left',	'dentalux');
			$list['rotateOutUpRight']	= __('Rotate Out Up Right',		'dentalux');
			$list['rotateOutDownLeft']	= __('Rotate Out Up Left',		'dentalux');
			$list['rotateOutDownRight']	= __('Rotate Out Down Right',	'dentalux');
			$list['rollOut']			= __('Roll Out',		'dentalux');
			$list['slideOutUp']			= __('Slide Out Up',		'dentalux');
			$list['slideOutDown']		= __('Slide Out Down',	'dentalux');
			$list['slideOutLeft']		= __('Slide Out Left',	'dentalux');
			$list['slideOutRight']		= __('Slide Out Right',	'dentalux');
			$list['zoomOut']			= __('Zoom Out',			'dentalux');
			$list['zoomOutUp']			= __('Zoom Out Up',		'dentalux');
			$list['zoomOutDown']		= __('Zoom Out Down',	'dentalux');
			$list['zoomOutLeft']		= __('Zoom Out Left',	'dentalux');
			$list['zoomOutRight']		= __('Zoom Out Right',	'dentalux');
			$ANCORA_GLOBALS['list_animations_out'] = $list = apply_filters('ancora_filter_list_animations_out', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of categories
if ( !function_exists( 'ancora_get_list_categories' ) ) {
	function ancora_get_list_categories($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_categories']))
			$list = $ANCORA_GLOBALS['list_categories'];
		else {
			$list = array();
			$args = array(
				'type'                     => 'post',
				'child_of'                 => 0,
				'parent'                   => '',
				'orderby'                  => 'name',
				'order'                    => 'ASC',
				'hide_empty'               => 0,
				'hierarchical'             => 1,
				'exclude'                  => '',
				'include'                  => '',
				'number'                   => '',
				'taxonomy'                 => 'category',
				'pad_counts'               => false );
			$taxonomies = get_categories( $args );
			foreach ($taxonomies as $cat) {
				$list[$cat->term_id] = $cat->name;
			}
			$ANCORA_GLOBALS['list_categories'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of taxonomies
if ( !function_exists( 'ancora_get_list_terms' ) ) {
	function ancora_get_list_terms($prepend_inherit=false, $taxonomy='category') {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_taxonomies_'.($taxonomy)]))
			$list = $ANCORA_GLOBALS['list_taxonomies_'.($taxonomy)];
		else {
			$list = array();
			$args = array(
				'child_of'                 => 0,
				'parent'                   => '',
				'orderby'                  => 'name',
				'order'                    => 'ASC',
				'hide_empty'               => 0,
				'hierarchical'             => 1,
				'exclude'                  => '',
				'include'                  => '',
				'number'                   => '',
				'taxonomy'                 => $taxonomy,
				'pad_counts'               => false );
			$taxonomies = get_terms( $taxonomy, $args );
			foreach ($taxonomies as $cat) {
				$list[$cat->term_id] = $cat->name;	// . ($taxonomy!='category' ? ' /'.($cat->taxonomy).'/' : '');
			}
			$ANCORA_GLOBALS['list_taxonomies_'.($taxonomy)] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list of post's types
if ( !function_exists( 'ancora_get_list_posts_types' ) ) {
	function ancora_get_list_posts_types($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_posts_types']))
			$list = $ANCORA_GLOBALS['list_posts_types'];
		else {
			$list = array();
			/* 
			// This way to return all registered post types
			$types = get_post_types();
			if (in_array('post', $types)) $list['post'] = __('Post', 'dentalux');
			foreach ($types as $t) {
				if ($t == 'post') continue;
				$list[$t] = ancora_strtoproper($t);
			}
			*/
			// Return only theme inheritance supported post types
			$ANCORA_GLOBALS['list_posts_types'] = $list = apply_filters('ancora_filter_list_post_types', array());
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list post items from any post type and taxonomy
if ( !function_exists( 'ancora_get_list_posts' ) ) {
	function ancora_get_list_posts($prepend_inherit=false, $opt=array()) {
		$opt = array_merge(array(
			'post_type'			=> 'post',
			'post_status'		=> 'publish',
			'taxonomy'			=> 'category',
			'taxonomy_value'	=> '',
			'posts_per_page'	=> -1,
			'orderby'			=> 'post_date',
			'order'				=> 'desc',
			'return'			=> 'id'
			), is_array($opt) ? $opt : array('post_type'=>$opt));

		global $ANCORA_GLOBALS;
		$hash = 'list_posts_'.($opt['post_type']).'_'.($opt['taxonomy']).'_'.($opt['taxonomy_value']).'_'.($opt['orderby']).'_'.($opt['order']).'_'.($opt['return']).'_'.($opt['posts_per_page']);
		if (isset($ANCORA_GLOBALS[$hash]))
			$list = $ANCORA_GLOBALS[$hash];
		else {
			$list = array();
			$list['none'] = __("- Not selected -", 'dentalux');
			$args = array(
				'post_type' => $opt['post_type'],
				'post_status' => $opt['post_status'],
				'posts_per_page' => $opt['posts_per_page'],
				'ignore_sticky_posts' => true,
				'orderby'	=> $opt['orderby'],
				'order'		=> $opt['order']
			);
			if (!empty($opt['taxonomy_value'])) {
				$args['tax_query'] = array(
					array(
						'taxonomy' => $opt['taxonomy'],
						'field' => (int) $opt['taxonomy_value'] > 0 ? 'id' : 'slug',
						'terms' => $opt['taxonomy_value']
					)
				);
			}
			$posts = get_posts( $args );
			foreach ($posts as $post) {
				$list[$opt['return']=='id' ? $post->ID : $post->post_title] = $post->post_title;
			}
			$ANCORA_GLOBALS[$hash] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of registered users
if ( !function_exists( 'ancora_get_list_users' ) ) {
	function ancora_get_list_users($prepend_inherit=false, $roles=array('administrator', 'editor', 'author', 'contributor', 'shop_manager')) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_users']))
			$list = $ANCORA_GLOBALS['list_users'];
		else {
			$list = array();
			$list['none'] = __("- Not selected -", 'dentalux');
			$args = array(
				'orderby'	=> 'display_name',
				'order'		=> 'ASC' );
			$users = get_users( $args );
			foreach ($users as $user) {
				$accept = true;
				if (is_array($user->roles)) {
					if (count($user->roles) > 0) {
						$accept = false;
						foreach ($user->roles as $role) {
							if (in_array($role, $roles)) {
								$accept = true;
								break;
							}
						}
					}
				}
				if ($accept) $list[$user->user_login] = $user->display_name;
			}
			$ANCORA_GLOBALS['list_users'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return sliders list, prepended inherit and main sidebars item (if need)
if ( !function_exists( 'ancora_get_list_sliders' ) ) {
	function ancora_get_list_sliders($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_sliders']))
			$list = $ANCORA_GLOBALS['list_sliders'];
		else {
			$list = array();
			$list["swiper"] = __("Posts slider (Swiper)", 'dentalux');
			if (ancora_exists_revslider())
				$list["revo"] = __("Layer slider (Revolution)", 'dentalux');
			$ANCORA_GLOBALS['list_sliders'] = $list = apply_filters('ancora_filter_list_sliders', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with popup engines
if ( !function_exists( 'ancora_get_list_popup_engines' ) ) {
	function ancora_get_list_popup_engines($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_popup_engines']))
			$list = $ANCORA_GLOBALS['list_popup_engines'];
		else {
			$list = array();
			$list["pretty"] = __("Pretty photo", 'dentalux');
			$list["magnific"] = __("Magnific popup", 'dentalux');
			$ANCORA_GLOBALS['list_popup_engines'] = $list = apply_filters('ancora_filter_list_popup_engines', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return menus list, prepended inherit
if ( !function_exists( 'ancora_get_list_menus' ) ) {
	function ancora_get_list_menus($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_menus']))
			$list = $ANCORA_GLOBALS['list_menus'];
		else {
			$list = array();
			$list['default'] = __("Default", 'dentalux');
			$menus = wp_get_nav_menus();
			if ($menus) {
				foreach ($menus as $menu) {
					$list[$menu->slug] = $menu->name;
				}
			}
			$ANCORA_GLOBALS['list_menus'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return custom sidebars list, prepended inherit and main sidebars item (if need)
if ( !function_exists( 'ancora_get_list_sidebars' ) ) {
	function ancora_get_list_sidebars($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_sidebars'])) {
			$list = $ANCORA_GLOBALS['list_sidebars'];
		} else {
			$list = isset($ANCORA_GLOBALS['registered_sidebars']) ? $ANCORA_GLOBALS['registered_sidebars'] : array();
			$ANCORA_GLOBALS['list_sidebars'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return sidebars positions
if ( !function_exists( 'ancora_get_list_sidebars_positions' ) ) {
	function ancora_get_list_sidebars_positions($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_sidebars_positions']))
			$list = $ANCORA_GLOBALS['list_sidebars_positions'];
		else {
			$list = array();
			$list['left']  = __('Left',  'dentalux');
			$list['right'] = __('Right', 'dentalux');
			$ANCORA_GLOBALS['list_sidebars_positions'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

if (!function_exists('ancora_sc_param_is_off')) {
    function ancora_sc_param_is_off($prm) {
        return empty($prm) || $prm===0 || in_array(ancora_strtolower($prm), array('false', 'off', 'no', 'none', 'hide'));
    }
}

// Return sidebars class
if ( !function_exists( 'ancora_get_sidebar_class' )  ) {
	function ancora_get_sidebar_class($style, $pos) {
		return ancora_sc_param_is_off($style) ? 'sidebar_hide' : 'sidebar_show sidebar_'.($pos);
	}
}

// Return body styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_body_styles' ) ) {
	function ancora_get_list_body_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_body_styles']))
			$list = $ANCORA_GLOBALS['list_body_styles'];
		else {
			$list = array();
			$list['boxed']		= __('Boxed',		'dentalux');
			$list['wide']		= __('Wide',		'dentalux');
			$list['fullwide']	= __('Fullwide',	'dentalux');
			$list['fullscreen']	= __('Fullscreen',	'dentalux');
			$ANCORA_GLOBALS['list_body_styles'] = $list = apply_filters('ancora_filter_list_body_styles', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return skins list, prepended inherit
if ( !function_exists( 'ancora_get_list_skins' ) ) {
	function ancora_get_list_skins($prepend_inherit=false) {
		$list = array(
			'dentalux' => esc_html__('DentaLux', 'dentalux')
		);
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return templates list, prepended inherit
if ( !function_exists( 'ancora_get_list_templates' ) ) {
	function ancora_get_list_templates($mode='') {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_templates_'.($mode)]))
			$list = $ANCORA_GLOBALS['list_templates_'.($mode)];
		else {
			$list = array();
			foreach ($ANCORA_GLOBALS['registered_templates'] as $k=>$v) {
				if ($mode=='' || ancora_strpos($v['mode'], $mode)!==false)
					$list[$k] = !empty($v['title']) ? $v['title'] : ancora_strtoproper($v['layout']);
			}
			$ANCORA_GLOBALS['list_templates_'.($mode)] = $list;
		}
		return $list;
	}
}

// Return blog styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_templates_blog' ) ) {
	function ancora_get_list_templates_blog($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_templates_blog']))
			$list = $ANCORA_GLOBALS['list_templates_blog'];
		else {
			$list = ancora_get_list_templates('blog');
			$ANCORA_GLOBALS['list_templates_blog'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return blogger styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_templates_blogger' ) ) {
	function ancora_get_list_templates_blogger($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_templates_blogger']))
			$list = $ANCORA_GLOBALS['list_templates_blogger'];
		else {
			$list = ancora_array_merge(ancora_get_list_templates('blogger'), ancora_get_list_templates('blog'));
			$ANCORA_GLOBALS['list_templates_blogger'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return single page styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_templates_single' ) ) {
	function ancora_get_list_templates_single($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_templates_single']))
			$list = $ANCORA_GLOBALS['list_templates_single'];
		else {
			$list = ancora_get_list_templates('single');
			$ANCORA_GLOBALS['list_templates_single'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return article styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_article_styles' ) ) {
	function ancora_get_list_article_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_article_styles']))
			$list = $ANCORA_GLOBALS['list_article_styles'];
		else {
			$list = array();
			$list["boxed"]   = __('Boxed', 'dentalux');
			$list["stretch"] = __('Stretch', 'dentalux');
			$ANCORA_GLOBALS['list_article_styles'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return color schemes list, prepended inherit
if ( !function_exists( 'ancora_get_list_color_schemes' ) ) {
	function ancora_get_list_color_schemes($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_color_schemes']))
			$list = $ANCORA_GLOBALS['list_color_schemes'];
		else {
			$list = array();
			if (!empty($ANCORA_GLOBALS['color_schemes'])) {
				foreach ($ANCORA_GLOBALS['color_schemes'] as $k=>$v) {
					$list[$k] = $v['title'];
				}
			}
			$ANCORA_GLOBALS['list_color_schemes'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return button styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_button_styles' ) ) {
	function ancora_get_list_button_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_button_styles']))
			$list = $ANCORA_GLOBALS['list_button_styles'];
		else {
			$list = array();
			$list["custom"]	= __('Custom', 'dentalux');
			$list["link"] 	= __('As links', 'dentalux');
			$list["menu"] 	= __('As main menu', 'dentalux');
			$list["user"] 	= __('As user menu', 'dentalux');
			$ANCORA_GLOBALS['list_button_styles'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return post-formats filters list, prepended inherit
if ( !function_exists( 'ancora_get_list_post_formats_filters' ) ) {
	function ancora_get_list_post_formats_filters($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_post_formats_filters']))
			$list = $ANCORA_GLOBALS['list_post_formats_filters'];
		else {
			$list = array();
			$list["no"]      = __('All posts', 'dentalux');
			$list["thumbs"]  = __('With thumbs', 'dentalux');
			$list["reviews"] = __('With reviews', 'dentalux');
			$list["video"]   = __('With videos', 'dentalux');
			$list["audio"]   = __('With audios', 'dentalux');
			$list["gallery"] = __('With galleries', 'dentalux');
			$ANCORA_GLOBALS['list_post_formats_filters'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return scheme color
if (!function_exists('ancora_get_scheme_color')) {
	function ancora_get_scheme_color($clr) {
		global $ANCORA_GLOBALS;
		$scheme = ancora_get_custom_option('color_scheme');
		if (empty($scheme) || empty($ANCORA_GLOBALS['color_schemes'][$scheme])) $scheme = 'original';
		return isset($ANCORA_GLOBALS['color_schemes'][$scheme][$clr]) ? $ANCORA_GLOBALS['color_schemes'][$scheme][$clr] : '';
	}
}

// Return portfolio filters list, prepended inherit
if ( !function_exists( 'ancora_get_list_portfolio_filters' ) ) {
	function ancora_get_list_portfolio_filters($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_portfolio_filters']))
			$list = $ANCORA_GLOBALS['list_portfolio_filters'];
		else {
			$list = array();
			$list["hide"] = __('Hide', 'dentalux');
			$list["tags"] = __('Tags', 'dentalux');
			$list["categories"] = __('Categories', 'dentalux');
			$ANCORA_GLOBALS['list_portfolio_filters'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return hover styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_hovers' ) ) {
	function ancora_get_list_hovers($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_hovers']))
			$list = $ANCORA_GLOBALS['list_hovers'];
		else {
			$list = array();
			$list['circle effect1']  = __('Circle Effect 1',  'dentalux');
			$list['circle effect2']  = __('Circle Effect 2',  'dentalux');
			$list['circle effect3']  = __('Circle Effect 3',  'dentalux');
			$list['circle effect4']  = __('Circle Effect 4',  'dentalux');
			$list['circle effect5']  = __('Circle Effect 5',  'dentalux');
			$list['circle effect6']  = __('Circle Effect 6',  'dentalux');
			$list['circle effect7']  = __('Circle Effect 7',  'dentalux');
			$list['circle effect8']  = __('Circle Effect 8',  'dentalux');
			$list['circle effect9']  = __('Circle Effect 9',  'dentalux');
			$list['circle effect10'] = __('Circle Effect 10',  'dentalux');
			$list['circle effect11'] = __('Circle Effect 11',  'dentalux');
			$list['circle effect12'] = __('Circle Effect 12',  'dentalux');
			$list['circle effect13'] = __('Circle Effect 13',  'dentalux');
			$list['circle effect14'] = __('Circle Effect 14',  'dentalux');
			$list['circle effect15'] = __('Circle Effect 15',  'dentalux');
			$list['circle effect16'] = __('Circle Effect 16',  'dentalux');
			$list['circle effect17'] = __('Circle Effect 17',  'dentalux');
			$list['circle effect18'] = __('Circle Effect 18',  'dentalux');
			$list['circle effect19'] = __('Circle Effect 19',  'dentalux');
			$list['circle effect20'] = __('Circle Effect 20',  'dentalux');
			$list['square effect1']  = __('Square Effect 1',  'dentalux');
			$list['square effect2']  = __('Square Effect 2',  'dentalux');
			$list['square effect3']  = __('Square Effect 3',  'dentalux');
	//		$list['square effect4']  = __('Square Effect 4',  'dentalux');
			$list['square effect5']  = __('Square Effect 5',  'dentalux');
			$list['square effect6']  = __('Square Effect 6',  'dentalux');
			$list['square effect7']  = __('Square Effect 7',  'dentalux');
			$list['square effect8']  = __('Square Effect 8',  'dentalux');
			$list['square effect9']  = __('Square Effect 9',  'dentalux');
			$list['square effect10'] = __('Square Effect 10',  'dentalux');
			$list['square effect11'] = __('Square Effect 11',  'dentalux');
			$list['square effect12'] = __('Square Effect 12',  'dentalux');
			$list['square effect13'] = __('Square Effect 13',  'dentalux');
			$list['square effect14'] = __('Square Effect 14',  'dentalux');
			$list['square effect15'] = __('Square Effect 15',  'dentalux');
			$list['square effect_dir']   = __('Square Effect Dir',   'dentalux');
			$list['square effect_shift'] = __('Square Effect Shift', 'dentalux');
			$list['square effect_book']  = __('Square Effect Book',  'dentalux');
			$ANCORA_GLOBALS['list_hovers'] = $list = apply_filters('ancora_filter_portfolio_hovers', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return extended hover directions list, prepended inherit
if ( !function_exists( 'ancora_get_list_hovers_directions' ) ) {
	function ancora_get_list_hovers_directions($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_hovers_directions']))
			$list = $ANCORA_GLOBALS['list_hovers_directions'];
		else {
			$list = array();
			$list['left_to_right'] = __('Left to Right',  'dentalux');
			$list['right_to_left'] = __('Right to Left',  'dentalux');
			$list['top_to_bottom'] = __('Top to Bottom',  'dentalux');
			$list['bottom_to_top'] = __('Bottom to Top',  'dentalux');
			$list['scale_up']      = __('Scale Up',  'dentalux');
			$list['scale_down']    = __('Scale Down',  'dentalux');
			$list['scale_down_up'] = __('Scale Down-Up',  'dentalux');
			$list['from_left_and_right'] = __('From Left and Right',  'dentalux');
			$list['from_top_and_bottom'] = __('From Top and Bottom',  'dentalux');
			$ANCORA_GLOBALS['list_hovers_directions'] = $list = apply_filters('ancora_filter_portfolio_hovers_directions', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}


// Return list of the label positions in the custom forms
if ( !function_exists( 'ancora_get_list_label_positions' ) ) {
	function ancora_get_list_label_positions($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_label_positions']))
			$list = $ANCORA_GLOBALS['list_label_positions'];
		else {
			$list = array();
			$list['top']	= __('Top',		'dentalux');
			$list['bottom']	= __('Bottom',		'dentalux');
			$list['left']	= __('Left',		'dentalux');
			$list['over']	= __('Over',		'dentalux');
			$ANCORA_GLOBALS['list_label_positions'] = $list = apply_filters('ancora_filter_label_positions', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return background tints list, prepended inherit
if ( !function_exists( 'ancora_get_list_bg_tints' ) ) {
	function ancora_get_list_bg_tints($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_bg_tints']))
			$list = $ANCORA_GLOBALS['list_bg_tints'];
		else {
			$list = array();
			$list['none']  = __('None',  'dentalux');
			$list['light'] = __('Light','dentalux');
			$list['dark']  = __('Dark',  'dentalux');
			$ANCORA_GLOBALS['list_bg_tints'] = $list = apply_filters('ancora_filter_bg_tints', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return background tints list for sidebars, prepended inherit
if ( !function_exists( 'ancora_get_list_sidebar_styles' ) ) {
	function ancora_get_list_sidebar_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_sidebar_styles']))
			$list = $ANCORA_GLOBALS['list_sidebar_styles'];
		else {
			$list = array();
			$list['none']  = __('None',  'dentalux');
			$list['light white'] = __('White','dentalux');
			$list['light'] = __('Light','dentalux');
			$list['dark']  = __('Dark',  'dentalux');
			$ANCORA_GLOBALS['list_sidebar_styles'] = $list = apply_filters('ancora_filter_sidebar_styles', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return custom fields types list, prepended inherit
if ( !function_exists( 'ancora_get_list_field_types' ) ) {
	function ancora_get_list_field_types($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_field_types']))
			$list = $ANCORA_GLOBALS['list_field_types'];
		else {
			$list = array();
			$list['text']     = __('Text',  'dentalux');
			$list['textarea'] = __('Text Area','dentalux');
			$list['password'] = __('Password',  'dentalux');
			$list['radio']    = __('Radio',  'dentalux');
			$list['checkbox'] = __('Checkbox',  'dentalux');
			$list['button']   = __('Button','dentalux');
			$ANCORA_GLOBALS['list_field_types'] = $list = apply_filters('ancora_filter_field_types', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return Google map styles
if ( !function_exists( 'ancora_get_list_googlemap_styles' ) ) {
	function ancora_get_list_googlemap_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_googlemap_styles']))
			$list = $ANCORA_GLOBALS['list_googlemap_styles'];
		else {
			$list = array();
			$list['default'] = __('Default', 'dentalux');
			$list['simple'] = __('Simple', 'dentalux');
			$list['greyscale'] = __('Greyscale', 'dentalux');
			$list['greyscale2'] = __('Greyscale 2', 'dentalux');
			$list['invert'] = __('Invert', 'dentalux');
			$list['dark'] = __('Dark', 'dentalux');
			$list['style1'] = __('Custom style 1', 'dentalux');
			$list['style2'] = __('Custom style 2', 'dentalux');
			$list['style3'] = __('Custom style 3', 'dentalux');
			$ANCORA_GLOBALS['list_googlemap_styles'] = $list = apply_filters('ancora_filter_googlemap_styles', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return iconed classes list
if ( !function_exists( 'ancora_get_list_icons' ) ) {
	function ancora_get_list_icons($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_icons']))
			$list = $ANCORA_GLOBALS['list_icons'];
		else
			$ANCORA_GLOBALS['list_icons'] = $list = ancora_parse_icons_classes(ancora_get_file_dir("css/fontello/css/fontello-codes.css"));
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return socials list
if ( !function_exists( 'ancora_get_list_socials' ) ) {
	function ancora_get_list_socials($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_socials']))
			$list = $ANCORA_GLOBALS['list_socials'];
		else
			$ANCORA_GLOBALS['list_socials'] = $list = ancora_get_list_files("images/socials", "png");
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return flags list
if ( !function_exists( 'ancora_get_list_flags' ) ) {
	function ancora_get_list_flags($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_flags']))
			$list = $ANCORA_GLOBALS['list_flags'];
		else
			$ANCORA_GLOBALS['list_flags'] = $list = ancora_get_list_files("images/flags", "png");
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with 'Yes' and 'No' items
if ( !function_exists( 'ancora_get_list_yesno' ) ) {
	function ancora_get_list_yesno($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_yesno']))
			$list = $ANCORA_GLOBALS['list_yesno'];
		else {
			$list = array();
			$list["yes"] = __("Yes", 'dentalux');
			$list["no"]  = __("No", 'dentalux');
			$ANCORA_GLOBALS['list_yesno'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with 'On' and 'Of' items
if ( !function_exists( 'ancora_get_list_onoff' ) ) {
	function ancora_get_list_onoff($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_onoff']))
			$list = $ANCORA_GLOBALS['list_onoff'];
		else {
			$list = array();
			$list["on"] = __("On", 'dentalux');
			$list["off"] = __("Off", 'dentalux');
			$ANCORA_GLOBALS['list_onoff'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with 'Show' and 'Hide' items
if ( !function_exists( 'ancora_get_list_showhide' ) ) {
	function ancora_get_list_showhide($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_showhide']))
			$list = $ANCORA_GLOBALS['list_showhide'];
		else {
			$list = array();
			$list["show"] = __("Show", 'dentalux');
			$list["hide"] = __("Hide", 'dentalux');
			$ANCORA_GLOBALS['list_showhide'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with 'Ascending' and 'Descending' items
if ( !function_exists( 'ancora_get_list_orderings' ) ) {
	function ancora_get_list_orderings($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_orderings']))
			$list = $ANCORA_GLOBALS['list_orderings'];
		else {
			$list = array();
			$list["asc"] = __("Ascending", 'dentalux');
			$list["desc"] = __("Descending", 'dentalux');
			$ANCORA_GLOBALS['list_orderings'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with 'Horizontal' and 'Vertical' items
if ( !function_exists( 'ancora_get_list_directions' ) ) {
	function ancora_get_list_directions($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_directions']))
			$list = $ANCORA_GLOBALS['list_directions'];
		else {
			$list = array();
			$list["horizontal"] = __("Horizontal", 'dentalux');
			$list["vertical"] = __("Vertical", 'dentalux');
			$ANCORA_GLOBALS['list_directions'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with float items
if ( !function_exists( 'ancora_get_list_floats' ) ) {
	function ancora_get_list_floats($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_floats']))
			$list = $ANCORA_GLOBALS['list_floats'];
		else {
			$list = array();
			$list["none"] = __("None", 'dentalux');
			$list["left"] = __("Float Left", 'dentalux');
			$list["right"] = __("Float Right", 'dentalux');
			$ANCORA_GLOBALS['list_floats'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with alignment items
if ( !function_exists( 'ancora_get_list_alignments' ) ) {
	function ancora_get_list_alignments($justify=false, $prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_alignments']))
			$list = $ANCORA_GLOBALS['list_alignments'];
		else {
			$list = array();
			$list["none"] = __("None", 'dentalux');
			$list["left"] = __("Left", 'dentalux');
			$list["center"] = __("Center", 'dentalux');
			$list["right"] = __("Right", 'dentalux');
			if ($justify) $list["justify"] = __("Justify", 'dentalux');
			$ANCORA_GLOBALS['list_alignments'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return sorting list items
if ( !function_exists( 'ancora_get_list_sortings' ) ) {
	function ancora_get_list_sortings($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_sortings']))
			$list = $ANCORA_GLOBALS['list_sortings'];
		else {
			$list = array();
			$list["date"] = __("Date", 'dentalux');
			$list["title"] = __("Alphabetically", 'dentalux');
			$list["views"] = __("Popular (views count)", 'dentalux');
			$list["comments"] = __("Most commented (comments count)", 'dentalux');
			$list["author_rating"] = __("Author rating", 'dentalux');
			$list["users_rating"] = __("Visitors (users) rating", 'dentalux');
			$list["random"] = __("Random", 'dentalux');
			$ANCORA_GLOBALS['list_sortings'] = $list = apply_filters('ancora_filter_list_sortings', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list with columns widths
if ( !function_exists( 'ancora_get_list_columns' ) ) {
	function ancora_get_list_columns($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_columns']))
			$list = $ANCORA_GLOBALS['list_columns'];
		else {
			$list = array();
			$list["none"] = __("None", 'dentalux');
			$list["1_1"] = __("100%", 'dentalux');
			$list["1_2"] = __("1/2", 'dentalux');
			$list["1_3"] = __("1/3", 'dentalux');
			$list["2_3"] = __("2/3", 'dentalux');
			$list["1_4"] = __("1/4", 'dentalux');
			$list["3_4"] = __("3/4", 'dentalux');
			$list["1_5"] = __("1/5", 'dentalux');
			$list["2_5"] = __("2/5", 'dentalux');
			$list["3_5"] = __("3/5", 'dentalux');
			$list["4_5"] = __("4/5", 'dentalux');
			$list["1_6"] = __("1/6", 'dentalux');
			$list["5_6"] = __("5/6", 'dentalux');
			$list["1_7"] = __("1/7", 'dentalux');
			$list["2_7"] = __("2/7", 'dentalux');
			$list["3_7"] = __("3/7", 'dentalux');
			$list["4_7"] = __("4/7", 'dentalux');
			$list["5_7"] = __("5/7", 'dentalux');
			$list["6_7"] = __("6/7", 'dentalux');
			$list["1_8"] = __("1/8", 'dentalux');
			$list["3_8"] = __("3/8", 'dentalux');
			$list["5_8"] = __("5/8", 'dentalux');
			$list["7_8"] = __("7/8", 'dentalux');
			$list["1_9"] = __("1/9", 'dentalux');
			$list["2_9"] = __("2/9", 'dentalux');
			$list["4_9"] = __("4/9", 'dentalux');
			$list["5_9"] = __("5/9", 'dentalux');
			$list["7_9"] = __("7/9", 'dentalux');
			$list["8_9"] = __("8/9", 'dentalux');
			$list["1_10"]= __("1/10", 'dentalux');
			$list["3_10"]= __("3/10", 'dentalux');
			$list["7_10"]= __("7/10", 'dentalux');
			$list["9_10"]= __("9/10", 'dentalux');
			$list["1_11"]= __("1/11", 'dentalux');
			$list["2_11"]= __("2/11", 'dentalux');
			$list["3_11"]= __("3/11", 'dentalux');
			$list["4_11"]= __("4/11", 'dentalux');
			$list["5_11"]= __("5/11", 'dentalux');
			$list["6_11"]= __("6/11", 'dentalux');
			$list["7_11"]= __("7/11", 'dentalux');
			$list["8_11"]= __("8/11", 'dentalux');
			$list["9_11"]= __("9/11", 'dentalux');
			$list["10_11"]= __("10/11", 'dentalux');
			$list["1_12"]= __("1/12", 'dentalux');
			$list["5_12"]= __("5/12", 'dentalux');
			$list["7_12"]= __("7/12", 'dentalux');
			$list["10_12"]= __("10/12", 'dentalux');
			$list["11_12"]= __("11/12", 'dentalux');
			$ANCORA_GLOBALS['list_columns'] = $list = apply_filters('ancora_filter_list_columns', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return list of locations for the dedicated content
if ( !function_exists( 'ancora_get_list_dedicated_locations' ) ) {
	function ancora_get_list_dedicated_locations($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_dedicated_locations']))
			$list = $ANCORA_GLOBALS['list_dedicated_locations'];
		else {
			$list = array();
			$list["default"] = __('As in the post defined', 'dentalux');
			$list["center"]  = __('Above the text of the post', 'dentalux');
			$list["left"]    = __('To the left the text of the post', 'dentalux');
			$list["right"]   = __('To the right the text of the post', 'dentalux');
			$list["alter"]   = __('Alternates for each post', 'dentalux');
			$ANCORA_GLOBALS['list_dedicated_locations'] = $list = apply_filters('ancora_filter_list_dedicated_locations', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return post-format name
if ( !function_exists( 'ancora_get_post_format_name' ) ) {
	function ancora_get_post_format_name($format, $single=true) {
		$name = '';
		if ($format=='gallery')		$name = $single ? __('gallery', 'dentalux') : __('galleries', 'dentalux');
		else if ($format=='video')	$name = $single ? __('video', 'dentalux') : __('videos', 'dentalux');
		else if ($format=='audio')	$name = $single ? __('audio', 'dentalux') : __('audios', 'dentalux');
		else if ($format=='image')	$name = $single ? __('image', 'dentalux') : __('images', 'dentalux');
		else if ($format=='quote')	$name = $single ? __('quote', 'dentalux') : __('quotes', 'dentalux');
		else if ($format=='link')	$name = $single ? __('link', 'dentalux') : __('links', 'dentalux');
		else if ($format=='status')	$name = $single ? __('status', 'dentalux') : __('statuses', 'dentalux');
		else if ($format=='aside')	$name = $single ? __('aside', 'dentalux') : __('asides', 'dentalux');
		else if ($format=='chat')	$name = $single ? __('chat', 'dentalux') : __('chats', 'dentalux');
		else						$name = $single ? __('standard', 'dentalux') : __('standards', 'dentalux');
		return apply_filters('ancora_filter_list_post_format_name', $name, $format);
	}
}

// Return post-format icon name (from Fontello library)
if ( !function_exists( 'ancora_get_post_format_icon' ) ) {
	function ancora_get_post_format_icon($format) {
		$icon = 'icon-';
		if ($format=='gallery')		$icon .= 'picture-2';
		else if ($format=='video')	$icon .= 'video-2';
		else if ($format=='audio')	$icon .= 'musical-2';
		else if ($format=='image')	$icon .= 'picture-boxed-2';
		else if ($format=='quote')	$icon .= 'quote-2';
		else if ($format=='link')	$icon .= 'link-2';
		else if ($format=='status')	$icon .= 'agenda-2';
		else if ($format=='aside')	$icon .= 'chat-2';
		else if ($format=='chat')	$icon .= 'chat-all-2';
		else						$icon .= 'book-2';
		return apply_filters('ancora_filter_list_post_format_icon', $icon, $format);
	}
}

// Return fonts styles list, prepended inherit
if ( !function_exists( 'ancora_get_list_fonts_styles' ) ) {
	function ancora_get_list_fonts_styles($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_fonts_styles']))
			$list = $ANCORA_GLOBALS['list_fonts_styles'];
		else {
			$list = array();
			$list['i'] = __('I','dentalux');
			$list['u'] = __('U', 'dentalux');
			$ANCORA_GLOBALS['list_fonts_styles'] = $list;
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return Google fonts list
if ( !function_exists( 'ancora_get_list_fonts' ) ) {
	function ancora_get_list_fonts($prepend_inherit=false) {
		global $ANCORA_GLOBALS;
		if (isset($ANCORA_GLOBALS['list_fonts']))
			$list = $ANCORA_GLOBALS['list_fonts'];
		else {
			$list = array();
			$list = ancora_array_merge($list, ancora_get_list_fonts_custom());
			// Google and custom fonts list:
			//$list['Advent Pro'] = array(
			//		'family'=>'sans-serif',																						// (required) font family
			//		'link'=>'Advent+Pro:100,100italic,300,300italic,400,400italic,500,500italic,700,700italic,900,900italic',	// (optional) if you use Google font repository
			//		'css'=>ancora_get_file_url('/css/font-face/Advent-Pro/stylesheet.css')									// (optional) if you use custom font-face
			//		);
			$list['Advent Pro'] = array('family'=>'sans-serif');
			$list['Alegreya Sans'] = array('family'=>'sans-serif');
			$list['Arimo'] = array('family'=>'sans-serif');
			$list['Asap'] = array('family'=>'sans-serif');
			$list['Averia Sans Libre'] = array('family'=>'cursive');
			$list['Averia Serif Libre'] = array('family'=>'cursive');
			$list['Bree Serif'] = array('family'=>'serif',);
			$list['Cabin'] = array('family'=>'sans-serif');
			$list['Cabin Condensed'] = array('family'=>'sans-serif');
			$list['Caudex'] = array('family'=>'serif');
			$list['Comfortaa'] = array('family'=>'cursive');
			$list['Cousine'] = array('family'=>'sans-serif');
			$list['Crimson Text'] = array('family'=>'serif');
			$list['Cuprum'] = array('family'=>'sans-serif');
			$list['Dosis'] = array('family'=>'sans-serif');
			$list['Economica'] = array('family'=>'sans-serif');
			$list['Exo'] = array('family'=>'sans-serif');
			$list['Expletus Sans'] = array('family'=>'cursive');
			$list['Karla'] = array('family'=>'sans-serif');
			$list['Lato'] = array('family'=>'sans-serif');
			$list['Lekton'] = array('family'=>'sans-serif');
			$list['Lobster Two'] = array('family'=>'cursive');
			$list['Maven Pro'] = array('family'=>'sans-serif');
			$list['Merriweather'] = array('family'=>'serif');
			$list['Montserrat'] = array('family'=>'sans-serif');
			$list['Neuton'] = array('family'=>'serif');
			$list['Noticia Text'] = array('family'=>'serif');
			$list['Old Standard TT'] = array('family'=>'serif');
			$list['Open Sans'] = array('family'=>'sans-serif');
			$list['Orbitron'] = array('family'=>'sans-serif');
			$list['Oswald'] = array('family'=>'sans-serif');
			$list['Overlock'] = array('family'=>'cursive');
			$list['Oxygen'] = array('family'=>'sans-serif');
			$list['PT Serif'] = array('family'=>'serif');
			$list['Puritan'] = array('family'=>'sans-serif');
			$list['Raleway'] = array('family'=>'sans-serif');
			$list['Roboto'] = array('family'=>'sans-serif');
			$list['Roboto Slab'] = array('family'=>'sans-serif');
			$list['Roboto Condensed'] = array('family'=>'sans-serif');
			$list['Rosario'] = array('family'=>'sans-serif');
			$list['Share'] = array('family'=>'cursive');
			$list['Signika'] = array('family'=>'sans-serif');
			$list['Signika Negative'] = array('family'=>'sans-serif');
			$list['Source Sans Pro'] = array('family'=>'sans-serif');
			$list['Tinos'] = array('family'=>'serif');
			$list['Ubuntu'] = array('family'=>'sans-serif');
			$list['Vollkorn'] = array('family'=>'serif');
			$ANCORA_GLOBALS['list_fonts'] = $list = apply_filters('ancora_filter_list_fonts', $list);
		}
		return $prepend_inherit ? ancora_array_merge(array('inherit' => __("Inherit", 'dentalux')), $list) : $list;
	}
}

// Return Custom font-face list
if ( !function_exists( 'ancora_get_list_fonts_custom' ) ) {
	function ancora_get_list_fonts_custom($prepend_inherit=false) {
		static $list = false;
		if (is_array($list)) return $list;
		$list = array();
		$dir = ancora_get_folder_dir("css/font-face");
		if ( is_dir($dir) ) {
			$hdir = @ opendir( $dir );
			if ( $hdir ) {
				while (($file = readdir( $hdir ) ) !== false ) {
					$pi = pathinfo( ($dir) . '/' . ($file) );
					if ( substr($file, 0, 1) == '.' || ! is_dir( ($dir) . '/' . ($file) ) )
						continue;
					$css = file_exists( ($dir) . '/' . ($file) . '/' . ($file) . '.css' ) 
						? ancora_get_folder_url("css/font-face/".($file).'/'.($file).'.css')
						: (file_exists( ($dir) . '/' . ($file) . '/stylesheet.css' ) 
							? ancora_get_folder_url("css/font-face/".($file).'/stylesheet.css')
							: '');
					if ($css != '')
						$list[$file.' ('.__('uploaded font', 'dentalux').')'] = array('css' => $css);
				}
				@closedir( $hdir );
			}
		}
		return $list;
	}
}

// Return classes list for the specified animation
if (!function_exists('ancora_get_animation_classes')) {
    function ancora_get_animation_classes($animation, $speed='normal', $loop='none') {
        // speed:	fast=0.5s | normal=1s | slow=2s
        // loop:	none | infinite
        return ancora_param_is_off($animation) ? '' : 'animated '.esc_attr($animation).' '.esc_attr($speed).(!ancora_param_is_off($loop) ? ' '.esc_attr($loop) : '');
    }
}
?>