<?php
/* Booked Appointments support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('ancora_booked_theme_setup')) {
	add_action( 'ancora_action_before_init_theme', 'ancora_booked_theme_setup', 1 );
	function ancora_booked_theme_setup() {
		// Register shortcode in the shortcodes list
		if (ancora_exists_booked()) {
			if (is_admin()) {
				add_filter( 'ancora_filter_importer_options',			'ancora_booked_importer_set_options' );
				add_filter( 'ancora_filter_importer_import_row',		'ancora_booked_importer_check_row', 9, 4);
			}
		}
		if (is_admin()) {
			add_filter( 'ancora_filter_importer_required_plugins',	'ancora_booked_importer_required_plugins', 10, 2);
		}
	}
}


// Check if plugin installed and activated
if ( !function_exists( 'ancora_exists_booked' ) ) {
	function ancora_exists_booked() {
		return class_exists('booked_plugin');
	}
}

// One-click import support
//------------------------------------------------------------------------

// Check in the required plugins
if ( !function_exists( 'ancora_booked_importer_required_plugins' ) ) {
	//Handler of add_filter( 'ancora_filter_importer_required_plugins',	'ancora_booked_importer_required_plugins', 10, 2);
	function ancora_booked_importer_required_plugins($not_installed='', $list='') {
		//if (in_array('booked', ancora_storage_get('required_plugins')) && !ancora_exists_booked() )
		if (!ancora_exists_booked() )
			$not_installed .= '<br>' . esc_html__('Booked Appointments', 'dentalux');
		return $not_installed;
	}
}

// Set options for one-click importer
if ( !function_exists( 'ancora_booked_importer_set_options' ) ) {
	//Handler of add_filter( 'ancora_filter_importer_options',	'ancora_booked_importer_set_options', 10, 1 );
	function ancora_booked_importer_set_options($options=array()) {
		if (ancora_exists_booked()) {
			$options['additional_options'][] = 'booked_%';		// Add slugs to export options for this plugin
		}
		return $options;
	}
}

// Check if the row will be imported
if ( !function_exists( 'ancora_booked_importer_check_row' ) ) {
	//Handler of add_filter('ancora_filter_importer_import_row', 'ancora_booked_importer_check_row', 9, 4);
	function ancora_booked_importer_check_row($flag, $table, $row, $list) {
		if ($flag || strpos($list, 'booked')===false) return $flag;
		if ( ancora_exists_booked() ) {
			if ($table == 'posts')
				$flag = $row['post_type']=='booked_appointments';
		}
		return $flag;
	}
}


?>