<?php 
global $ANCORA_GLOBALS;
if (empty($ANCORA_GLOBALS['menu_user']))
	$ANCORA_GLOBALS['menu_user'] = ancora_get_nav_menu('menu_user');
if (empty($ANCORA_GLOBALS['menu_user'])) {
	?>
	<ul id="menu_user" class="menu_user_nav">
    <?php
} else {
	$menu = ancora_substr($ANCORA_GLOBALS['menu_user'], 0, ancora_strlen($ANCORA_GLOBALS['menu_user'])-5);
	$pos = ancora_strpos($menu, '<ul');
	if ($pos!==false) $menu = ancora_substr($menu, 0, $pos+3) . ' class="menu_user_nav"' . ancora_substr($menu, $pos+3);
	echo str_replace('class=""', '', $menu);
}
?>

<?php if (ancora_get_custom_option('show_languages')=='yes' && function_exists('icl_get_languages')) {
	$languages = icl_get_languages('skip_missing=1');
	if (!empty($languages)) {
		$lang_list = '';
		$lang_active = '';
		foreach ($languages as $lang) {
			$lang_title = esc_attr($lang['translated_name']);	//esc_attr($lang['native_name']);
			if ($lang['active']) {
				$lang_active = $lang_title;
			}
			$lang_list .= "\n".'<li><a rel="alternate" hreflang="' . esc_attr($lang['language_code']) . '" href="' . esc_url(apply_filters('WPML_filter_link', $lang['url'], $lang)) . '">'
				.'<img src="' . esc_url($lang['country_flag_url']) . '" alt="' . esc_attr($lang_title) . '" title="' . esc_attr($lang_title) . '" />'
				. ($lang_title)
				.'</a></li>';
		}
		?>
		<li class="menu_user_language">
			<a href="#"><span><?php echo trim($lang_active); ?></span></a>
			<ul><?php echo trim($lang_list); ?></ul>
		</li>
<?php
	}
}

if (ancora_get_custom_option('show_login')=='yes') {

	if ( !is_user_logged_in() ) {

		// Load core messages
		ancora_enqueue_messages();
		// Load Popup engine
		//ancora_enqueue_popup();
		// Anyone can register ?
		if ( (int) get_option('users_can_register') > 0) {
		?>
		<li class="menu_user_register"><a href="#popup_registration" class="popup_link popup_register_link"><?php _e('Register', 'dentalux'); ?></a>
			<?php require_once( ancora_get_file_dir('templates/parts/register.php') ); ?>
		</li>
		<?php } ?>
		<li class="menu_user_login"><a href="#popup_login" class="popup_link popup_login_link"><?php _e('Login', 'dentalux'); ?></a>
			<?php require_once( ancora_get_file_dir('templates/parts/login.php') ); ?>
		</li>
		<?php 

	} else {

		$current_user = wp_get_current_user();
		?>
		<li class="menu_user_controls">
			<a href="#"><?php
				$user_avatar = '';
				if ($current_user->user_email) $user_avatar = get_avatar($current_user->user_email, 16*min(2, max(1, ancora_get_theme_option("retina_ready"))));
				if ($user_avatar) {
					?><span class="user_avatar"><?php echo trim($user_avatar); ?></span><?php
				}?><span class="user_name"><?php echo trim($current_user->display_name); ?></span></a>
			<ul>
				<?php if (current_user_can('publish_posts')) { ?>
				<li><a href="<?php echo home_url(); ?>/wp-admin/post-new.php?post_type=post" class="icon icon-doc-inv"><?php _e('New post', 'dentalux'); ?></a></li>
				<?php } ?>
				<li><a href="<?php echo get_edit_user_link(); ?>" class="icon icon-cog-1"><?php _e('Settings', 'dentalux'); ?></a></li>
			</ul>
		</li>
		<li class="menu_user_logout"><a href="<?php echo wp_logout_url(home_url()); ?>" class="icon icon-logout"><?php _e('Logout', 'dentalux'); ?></a></li>
		<?php 
	}
}
?>

</ul>
